curious search result order on docs.ruby-lang.org

09/11/2024 05:07 AM - masterleep2 (Bill Lipa)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

If you search for "String" on https://docs.ruby-lang.org/en/3.3/ the first four results returned are obscure:

1. Gem::SafeMarshal::Elements::String

2. Prism::StringFlags

3. Prism::StringNode

4. Reline::Terminfo::StringWithTiparm

5. String

Would it be possible to change it so that if one types an exact class name, the class of that name is first on the list?  This would make

it easier to use the search feature.  More generally, the prioritization of these results is surprising.

Not sure if this is the right place to report a doc website issue.  Apologies if not.

History

#1 - 09/11/2024 07:03 PM - p8 (Petrik de Heus)

You might have more luck reporting this at the RDoc repository:

https://github.com/ruby/rdoc

#2 - 11/01/2024 05:25 PM - masterleep2 (Bill Lipa)

I have reported it here:

https://github.com/ruby/rdoc/issues/1194

This one can probably be closed.

#3 - 11/02/2024 12:18 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed
